\documentclass{standalone}

\usepackage[latin1]{inputenc}
\usepackage{tikz}
\usetikzlibrary {automata,positioning}
\begin{document}

\begin{tikzpicture}[shorten >=1pt,node distance=2cm,on grid,auto, every state/.style={minimum size=1.25cm},]
    % \draw[help lines] (0,0) grid (3,2);

    \node[state,initial] (r) at (-31,0) {r};
    \node[state] (o) [above right=of r] {o};
    \node[state] (g) [below right=of o] {g};

    \path[->] (r) edge  node {} (o)
              (o) edge  node {} (g)
              (g) edge  node {} (r)
    ;
\end{tikzpicture}

\end{document}
